# 微站本地化部署教程

以下操作以centos操作系统为示例，以下操作需要一些基础的计算机基础和简单的运维技巧，慎重操作。



### 安装`redis`作为微站缓存层

参考 https://redis.io

为保证微站打开速度，使用redis做热数据缓存，所有的API请求都会缓存至该服务器。

```shell
# 安装 redis
yum -y install redis
```



### 安装`nodejs`和`npm`基础执行依赖

参考 https://nodejs.org

nodejs 版本要求为 >= 7.5

微站使用nodejs作为服务器开发语言，需要安装后运行微站。

```shell
# 添加nodejs软件源
curl --silent --location https://rpm.nodesource.com/setup_7.x | bash -
# 安装 nodejs
yum -y install nodejs
```



### 安装`pm2`，保证微站自动重启

参考 http://pm2.keymetrics.io/

pm2 可以保证微站在程序意外终止后自动重启。

```shell
npm install pm2 -g
```



### 配置`.env`文件

该文件为环境变量配置文件，微站常用配置、开关选项等，都通过该文件控制。

```
ENABLE_AD = 1 # 开启微站广告
NODE_ENV = production  # 默认即可
DOMAIN = xiaoyun.com   # 默认即可
CLIENT_PREFIX = https://clientapi.app.xiaoyun.com     # 默认即可
ADVERT_PREFIX = http://advert.apps.xiaoyun.com/advert # 默认即可

PORT = 3006            # 微站对外访问端口号
APP_PATH = /m		   # 微站所属子路径，不要轻易修改


REDIS_API_URI = redis://localhost:6379/1      # API数据缓存RedisServer地址
REDIS_SESSION_URI = redis://localhost:6379/2  # 用户Session缓存地址
WE_CHAT_APP_ID = wechatAppId                  # 微信登录APPID
WE_CHAT_APP_SECRET = wechatAppSecret          # 微信登录Secret
WE_CHAT_DOMAIN = wechat                       # 默认即可
ENABLE_CDN =        			      # css、js等静态资源是否启用CDN 填写CDN地址，如 http://cdn.xxx.com/ 不填写不启用

WE_CHAT_DISABLED = 1                          # 默认即可

NEW_CMS_API = http://wzapi.apps.xiaoyun.com/GpWzApi/v1 # 默认即可
DOMAIN = app.xiaoyun.com                               # 默认即可
FORUM_URL = 										   # 默认情况留空即可，特殊情况若无法访问mobcentAPI，可以尝试配置该选项

# PRIVATE
PRIVATE = 1    # 默认即可
DZ_CAPTCHA = 1 # 默认即可
CMS_APP_ID =   # 微站APPID
CMS_APP_KEY =  # 微站APPKEY
```



### 启动微站

在根目录执行，`pm2 start dist` 即可启动微站

`pm2 list` 可查看当前程序运行状态，更多实用方法参考pm2文档
