import $ from '../../client/zepto'
import { connectSQJavascriptBridge } from '../../client/sq-2.4.1.js'

// 活动报名/取消
function topicActivityApply(e) {
    e.preventDefault()
    const { topicId, activityInfo, comefrom } = window.topicactivityInfo
    const formData = {
        json: {}
    }
    $('.form-json-item').each((i, v) => {
        const key = $(v).attr('name')
        const val = $(v).val()
        if (key !== 'act') {
            formData.json[ key ] = encodeURIComponent(val)
        } else {
            formData[ key ] = val
        }
    })
    const dataApplyActivityText = $('.topicactivity-bottom-bar').attr('data-apply-activity')

    let requiredStatus = 0
    $('.form-json-item[required]').each((i, v) => {
        const value = $(v).val()
        if (value) {
            requiredStatus++
        } else {
            $(v).focus()
            return false
        }
    })
    if (requiredStatus === $('.form-json-item[required]').length) {
        $.get(`${window.APP_PATH}/api/clear-topic-cache/${topicId}`, () => {
            $.ajax({
                type    : 'POST',
                url     : `${window.APP_PATH}/topicactivity/${topicId}`,
                data    : formData,
                dataType: 'json',
                success() {
                    if (activityInfo.action.type === 'apply') {
                        $.toast(dataApplyActivityText)
                    } else if (activityInfo.action.type === 'cancel') {
                        $.toast('取消成功') // 繁简一致
                    }
                    setTimeout(() => {
                        if (/Appbyme/.test(navigator.userAgent) && comefrom !== 'h5') {
                            window.Appbyme && window.Appbyme.closeActivity()
                        } else {
                            const url = `${window.APP_PATH}/post/${window.topicactivityInfo.topicId}`
                            location.href = url
                        }
                    }, 200)
                },
                error(err) {
                    const msg = JSON.parse(err.responseText).message
                    $.toast(msg)
                }
            })
        })
    }
}

$(() => {
    $('#topicactivity-form-submit').on('submit', topicActivityApply)
    const { comefrom } = window.topicactivityInfo
    if (/Appbyme/.test(navigator.userAgent)) {
        connectSQJavascriptBridge(() => {
            window.sq.customNavBar({
                interceptBackPress: true,
                button            : {
                    type: 'action'
                },
                callBack() {
                    if (comefrom === 'h5') {
                        history.back()
                    } else {
                        window.Appbyme.closeActivity()
                    }
                }
            })
        })
    }
})
